MAPIC++ClientLibraryBindings 2.0 API Documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libmapipp::message_store Class Reference

This class represents the Message Store in Exchange. More...

`#include <message_store.h>`

Inheritance diagram for libmapipp::message_store:

## Public Member Functions
mapi_id_t | get_default_folder (const uint32_t id) const throw (mapi_exception)
| Retrieves the folder id for the specified default folder in the Message Store.
Public Member Functions inherited from libmapipp::object
virtual mapi_object_t & | data () throw ()
| Obtain a reference to the mapi_object_t associated with this object.
virtual property_container | get_property_container ()
| Obtain a property_container to be used with this object.
virtual session & | get_session ()
| Obtain the session associated with this object.
| object (session &mapi_session, const std::string &object_type="") throw ()
| Object Constructor.
virtual | ~object () throw ()
| Destructor.

## Detailed Description

This class represents the Message Store in Exchange.

The message_store is the grouping of message folders (which could be the users private store including mail, calendar, todo list, journal, contacts and so on) or could be the public store (e.g. shared public folders).

It is not possible for you, the user, to create a message_store object. Instead, you should retrieve the message_store associated with a session using session::get_message_store()

Examples:
  foldertree.cpp, and messages.cpp.

## Member Function Documentation

mapi_id_t libmapipp::message_store::get_default_folder | ( | const uint32_t | id | ) | const throw (mapi_exception)
| inline

Retrieves the folder id for the specified default folder in the Message Store.

Parameters

  id | The type of folder to search for.

The following types of folders are supported:

- olFolderTopInformationStore
- olFolderDeletedItems
- olFolderOutbox
- olFolderSentMail
- olFolderInbox
- olFolderCalendar
- olFolderContacts
- olFolderJournal
- olFolderNotes
- olFolderTasks
- olFolderDrafts

If you are trying to enumerate all folders, you should open the olFolderTopInformationStore, and then get the hierarchy container for that top level folder.

Returns
  The resulting folder id.

Examples:
  attach_test.cpp, foldertree.cpp, messages.cpp, and test.cpp.

The documentation for this class was generated from the following file:

- libmapi++/message_store.h

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/